#ifndef __QUADHEAP_H__
#define __QUADHEAP_H__

#include "defns.h"


typedef struct _QuadHeap {
	Type *data;
	unsigned int current_size;
	unsigned int max_size;
} QuadHeap;

void qhInit(QuadHeap *heap, unsigned int max_size);
void qhDestroy(QuadHeap *heap);
void qhInsert(QuadHeap *heap, Type value);
Type qhDeleteMin(QuadHeap *heap);
BOOL qhIsEmpty(QuadHeap *heap);
BOOL qhIsFull(QuadHeap *heap);
void qhPrint(QuadHeap *heap);


#endif // __BINHEAP_H__